@font-face {
    font-family: "Fredoka";
    src: url(./fonts/Fredoka-VariableFont_wdth\,wght.woff2) format("woff2");
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

:root {
    font-family: "Fredoka", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
    --bg: oklch(0.99 0.003 325);
    --primary: oklch(0.25 0.01 325);
    background-color: var(--bg);
    color: var(--primary);
}

body {
    margin: 0;
}

.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

header {
    color: var(--bg);
    background-color: oklch(0.4059 0.1283 264);
}

nav ul {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    margin-inline-start: -2rem;
}

nav a {
    padding: 1rem 2rem;
    display: block;
    color: inherit;
    text-decoration: none;
}

.row {
    display: flex;
    gap: 2rem;

    >* {
        border: 1px dashed oklch(0.3753 0.1105 255.81);
        padding: 1rem;
        flex-grow: 1;
    }

    >*:first-child {
        flex-grow: 2;
    }
}

.visually-hidden {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

main {
    nav {
        --text: oklch(0.99 0.003 325);
        --bg: oklch(0.45 0.32 40);
    }

    nav a {
        color: var(--text);
        background-color: var(--bg);
        transition: color .2s ease-in-out, background-color .2s ease-in-out;

        &:hover,
        &:focus-visible {
            color: var(--bg);
            background-color: var(--text);
        }
    }

    nav li:first-child {
        margin-inline-end: auto;
    }

    nav li:first-child a {
        text-decoration: none;
        background-color: var(--text);
        color: var(--primary);
    }
}

/* oefening 2 */
ul.cards {
    margin: 0;
    padding: 0;
    list-style: none;

    display: flex;
    flex-wrap: wrap;
    gap: 2rem;

    li {
        position: relative;
        width: clamp(18rem, 30%, 33%);

        flex-shrink: 1;


        display: flex;
        flex-direction: column;

        box-shadow: 0 0 .2rem rgb(0 0 0 / .2), 0 0 2rem rgb(0 0 0 / .1);
        border-radius: 15px;

        .content {
            padding: 0 1rem 1rem 1rem;

        }

        img {
            width: 100%;
            order: -1;
            border-top-left-radius: 15px;
            border-top-right-radius: 15px;
        }
    }

    .overlay-link {
        position: absolute;
        inset: 0;

        text-indent: 100%;
        white-space: nowrap;
        overflow: hidden;
    }
}

/* oefening 3 */
.oef3 {
    color: oklch(45.14% 0.01437 325.646);
    max-width: 40em;
    margin-inline: auto;
    padding-inline: 1rem;
    font-size: 1.125rem;
    line-height: 1.5;

    p {
        margin-block-start: 0;
        margin-block-end: 1.5rem;
    }

    h3 {
        font-size: 1.5em;
    }

    h2 {
        font-size: 2.25em;
    }

    h1 {
        font-size: 3.375em;
    }

    .metadetails {
        font-style: italic;
    }

    .introduction {
        color: oklch(0% 0 0);
    }
}

/* oefening 4 */
.mylink {
    padding-inline-end: 1rem;

    a {
        color:oklch(0.5344 0.1907 28.86);

    }

    &::before {
        content: url(./bronbestanden/deleteicon.png);
    }
}

.mybutton {
    padding: 0.5rem;
    border-radius: 5px;
    background-color: oklch(0.5468 0.1426 143.595);

    a {
        text-decoration: none;
        color: oklch(0.999 0.003 325);
        font-weight: 500;
    }
}